## notify notify — Notification API |

## Functions

gboolean | notify_init ()
void | notify_uninit ()
gboolean | notify_is_initted ()
const char * | notify_get_app_name ()
void | notify_set_app_name ()
GList * | notify_get_server_caps ()
gboolean | notify_get_server_info ()

## Description

## Functions

### notify_init ()

    gboolean
    notify_init (const char *app_name);

Initialized libnotify. This must be called before any other functions.

#### Parameters

app_name | The name of the application initializing libnotify. |

#### Returns

`TRUE` if successful, or `FALSE` on error.

### notify_uninit ()

    void
    notify_uninit (void);

Uninitialized libnotify.

This should be called when the program no longer needs libnotify for the rest of its lifecycle, typically just before exitting.

### notify_is_initted ()

    gboolean
    notify_is_initted (void);

Gets whether or not libnotify is initialized.

#### Returns

`TRUE` if libnotify is initialized, or `FALSE` otherwise.

### notify_get_app_name ()

    const char *
    notify_get_app_name (void);

Gets the application name registered.

#### Returns

The registered application name, passed to `notify_init()`.

### notify_set_app_name ()

    void
    notify_set_app_name (const char *app_name);

Sets the application name.

#### Parameters

app_name | The name of the application |

### notify_get_server_caps ()

    GList *
    notify_get_server_caps (void);

Synchronously queries the server for its capabilities and returns them in a GList.

#### Returns

a GList of server capability strings. Free the list elements with `g_free()` and the list itself with `g_list_free()`.

[transfer full][element-type utf8]

### notify_get_server_info ()

    gboolean
    notify_get_server_info (char **ret_name,
                            char **ret_vendor,
                            char **ret_version,
                            char **ret_spec_version);

Synchronously queries the server for its information, specifically, the name, vendor, server version, and the version of the notifications specification that it is compliant with.

#### Parameters

ret_name | a location to store the server name, or `NULL`. | [out][allow-none][transfer full]
ret_vendor | a location to store the server vendor, or `NULL`. | [out][allow-none][transfer full]
ret_version | a location to store the server version, or `NULL`. | [out][allow-none][transfer full]
ret_spec_version | a location to store the version the service is compliant with, or `NULL`. | [out][allow-none][transfer full]

#### Returns

`TRUE` if successful, and the variables passed will be set, `FALSE` on error. The returned strings must be freed with g_free